//
//  TeXDistSystemVersion.h
//  TeXDist
//
//  Created by coder on Tue Jun 14 08:40:45 UTC 2011.
//  Copyright 2006 Laurens'Tribune. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface TeXDistSystemVersion: NSObject
{
@private
	NSUInteger iVarMajor;
	NSUInteger iVarMinor;
	NSUInteger iVarBugFix;
}
+ (TeXDistSystemVersion *)systemVersionWithString:(NSString *)aString error:(NSError **)RORef;
+ (TeXDistSystemVersion *)firstSystemVersion;
+ (TeXDistSystemVersion *)lastSystemVersion;
+ (TeXDistSystemVersion *)runningSystemVersion;
- (NSComparisonResult)compare:(TeXDistSystemVersion *)rhs;
@property (readwrite,assign) NSUInteger major;
@property (readwrite,assign) NSUInteger minor;
@property (readwrite,assign) NSUInteger bugFix;
@end
