//
//  TeXDistController.m
//  TeXDist
//
//  Created by coder on 08/12/06.
//  Copyright 2006 Laurens'Tribune. All rights reserved.
//

#import "TeXDistUI.h"

#ifndef OR
#define OR ||
#endif

#ifndef AND
#define AND &&
#endif

#ifndef NOT
#define NOT !
#endif


@implementation TeXDistTextView:NSTextView
@end

@implementation TeXDistTableView:NSTableView
@end

@implementation TeXDistTableColumn:NSTableColumn
@end

@interface TeXDistAtLeastTwoTransformer: NSValueTransformer
@end

@implementation TeXDistAtLeastTwoTransformer
+ (BOOL)allowsReverseTransformation;
{
    return NO;
}
- (id)transformedValue:(id)value;
{
    return [NSNumber numberWithBool:([value isKindOfClass:[NSArray class]] AND ([value count] > 1))];
}
@end